ghc-7.0.3: The GHC API

BinIface

# Documentation

writeBinIface :: DynFlags -> FilePath -> ModIface -> IO ()

readBinIface :: CheckHiWay -> TraceBinIFaceReading -> FilePath -> TcRnIf a b ModIface

data CheckHiWay

Constructors

CheckHiWay |
IgnoreHiWay |

Instances

Eq CheckHiWay |

data TraceBinIFaceReading

Constructors

TraceBinIFaceReading |
QuietBinIFaceReading |

Instances

Eq TraceBinIFaceReading |